import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "../../index.module.scss";
import Tpl1 from "./tpl1";
import Tpl2 from "./tpl2";
import Tpl3 from "./tpl3";
import Tpl4 from "./tpl4";
import Tpl5 from "./tpl5";
import Tpl6 from "./tpl6";
var tplTab2 = /*#__PURE__*/function (_Component) {
  _inheritsLoose(tplTab2, _Component);
  function tplTab2() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = tplTab2.prototype;
  _proto.render = function render() {
    var insetFn = this.props.insetFn;
    var handleClick = function handleClick(ev) {
      insetFn(ev.target.innerHTML);
    };
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl5, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl1, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl4, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl6, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl2, null)), /*#__PURE__*/React.createElement("div", {
      className: style['dialog-left-tab-item'],
      onClick: function onClick(ev) {
        return handleClick(ev);
      }
    }, /*#__PURE__*/React.createElement(Tpl3, null)));
  };
  return tplTab2;
}(Component);
export { tplTab2 as default };